/*
 * Sicherheitsunterweisung
 * Copyright (C) 2023  Jason Streifling
 *
 * This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package session

import (
	"net/http"

	"github.com/google/uuid"
	"streifling.com/jason/sicherheitsunterweisung/packages/data"
)

type Mux struct {
	*http.ServeMux
}

type Participant struct {
	*data.Participant
	Login        string
	GivenAnswers []int
	NoIncorrect  int
	AllowRetry   bool
}

type Briefing struct {
	ID int64
	*data.Briefing
	Participants []*Participant
	Questions    []data.Question
}

type Session struct {
	ID         uuid.UUID
	Instructor data.Instructor
	Briefings  []*Briefing
}
